<?php
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

// Display rating in words instead of numbers
function get_rating($rating)
{
	if($rating == "5") { $rating = "Awesome!"; }
	elseif($rating == "4") { $rating = "Very Good"; }
	elseif($rating == "3") { $rating = "Good"; }
	elseif($rating == "2") { $rating = "Average"; }
	elseif($rating == "1") { $rating = "Poor"; }
	else{ $rating = "Error!"; }

	return $rating;
}

opentable("Top Rated Articles and News Items");

echo "
<table cellpadding='0' cellspacing='0' border='0' width='100%' class='tbl-border'>
";

// Select the best 20 average ratings for articles
$resulta = dbquery("SELECT rating_item_id, SUM(rating_vote) / COUNT(rating_item_id) as rating_rating FROM fusion_ratings WHERE rating_type = 'A' GROUP BY rating_item_id ORDER BY rating_rating DESC LIMIT 20");
$counta = 0;
echo "
<tr>
<td>
<table cellpadding='0' cellspacing='1' border='0' width='100%' class='tbl-border'>
<tr>
<td class='tbl2' width='80%'><b>Article Subject</b></td><td class='tbl2'><b>Average Rating</b></td>
</tr>
";

while($data = dbarray($resulta))
{
	$rating_item_id = $data['rating_item_id'];
	$the_rating = get_rating(ceil($data['rating_rating']));
	$resulta2 = dbquery("SELECT * FROM ".$db_prefix."articles WHERE article_id = '$rating_item_id'");
	$data2 = dbarray($resulta2);
		// Check if user has access to article
		$cdata = dbarray(dbquery("SELECT article_cat_access FROM ".$db_prefix."article_cats WHERE article_cat_id='".$data2['article_cat']."'"));
		if (checkgroup($cdata['article_cat_access'])) {
			$counta++;
	echo "
		<tr>
			<td class='tbl2' width='50%'><a href='".BASEDIR."readarticle.php?article_id=".$data2['article_id']."'>".$data2['article_subject']."<a/></td><td class='tbl1' width='50%'>".$the_rating."</td>
		</tr>
	";
		}
}

// Display message if no articles are visible/rated
if ($counta == 0) { echo "<tr><td class='tbl2' colspan='2' align='center'>No Articles have been rated.</td></tr>"; }

echo "</table>";
echo "</td></tr>";
echo "<tr><td class='tbl1'>&nbsp;</td></tr>";

// Select the best 20 average ratings for news
$resultn = dbquery("SELECT rating_item_id, SUM(rating_vote) / COUNT(rating_item_id) as rating_rating FROM fusion_ratings WHERE rating_type = 'N' GROUP BY rating_item_id ORDER BY rating_rating DESC LIMIT 20");
	$countn = 0;
echo "<tr><td>";
echo "
<table cellpadding='0' cellspacing='1' border='0' width='100%'>
<tr>
<td class='tbl2' width='80%'><b>News Item Subject</b></td><td class='tbl2'><b>Average Rating</b></td>
</tr>
";

while($data3 = dbarray($resultn))
{
	$rating_item_id = $data3['rating_item_id'];
	$the_rating = get_rating(ceil($data3['rating_rating']));
	// Get data for news items user has access to
	$resultn2 = dbquery("SELECT * FROM ".$db_prefix."news WHERE ".groupaccess('news_visibility')." AND news_id = '$rating_item_id'");
	if (dbrows($resultn2) != 0) {
	$countn++;
	$data4 = dbarray($resultn2);
	echo "
		<tr>
			<td class='tbl2' width='50%'><a href='".BASEDIR."news.php?readmore=".$data4['news_id']."'>".$data4['news_subject']."<a/></td><td class='tbl1' width='50%'>".$the_rating."</td>
		</tr>
	";
	}
}

// Display message if no news items are visible/rated
if ($countn == 0) { echo "<tr><td class='tbl2' colspan='2' align='center'>No News items have been rated.</td></tr>"; }

echo "</table>";

if (dbrows($resulta) == 0 && dbrows($resultn) == 0) {
	echo "<tr>
	<td class='tbl2' align='center'>No Items have been Rated</td>
	</tr>
	</table>";
}


echo "
</td>
</tr>
</table>";

closetable();

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";

?>